WESNOTH(6)

NIMI
wesnoth – Taistelu Wesnothista, vuoropohjainen fantasiastrategiapeli

TIIVISTELMÄ
wesnoth [VALITSIMET] [DATAHAKEMISTO]

KUVAUS
Taistelu Wesnothista on vuoropohjainen fantasiastrategiapeli.

Kukista kaikki vihollisjohtajat käyttäen tarkoin valittua ydinjoukkoa ja huolehdi samalla kulta- ja kyläresursseistasi. Kaikilla yksiköillä on omat vahvuutensa ja heikkoutensa; järjestä joukkosi mahdollisimman edullisiin asemiin estäen samalla vastustajia tekemästä samoin. Kerätessään kokemusta yksiköt oppivat uusia taitoja ja kehittyvät voimakkaammiksi. Pelaa omalla kielelläsi ja testaa taitojasi älykästä tietokonevastustajaa vastaan tai liity Wesnothin suureen nettipelaajien yhteisöön. Luo omia, uudenlaisia yksiköitä, skenaarioita tai kampanjoitasi ja jaa ne muiden pelaajien kanssa.

VALITSIMET

--bpp luku
    Asettaa värisyvyyden (bits per pixel). Esimerkki: --bpp 32

-c, --campaign
    Siirtyy suoraan kampanjanvalintavalikkoon.

--config-dir nimi
    Asettaa käyttäjän asetushakemiston nimen hakemistossa $HOME tai windowsin kansiossa ”Omat tiedostot\Omat pelit”.

--config-path
    Näyttää käyttäjän asetushakemiston polun ja lopettaa.

-d, --debug
    Mahdollistaa ylimääräisiä komentotila-asetuksia pelissä. (Katso wiki-sivulta http://www.wesnoth.org/wiki/CommandMode lisätietoja komentotilasta.)

--dummy-locales
    Käyttää erityisiä valemaa-asetustoja mihin tahansa kieleen vaihtamiseen, vaikka kyseinen kieli ei olisikaan asennettu järjestelmänlaajuisesti.

-e, --editor tiedosto
    Käynnistää pelinsisäisen karttaeditorin suoraan. Jos tiedosto on syötetty, komento vastaa -e --load:a

--fps
    Näyttää pelin kuvanpäivitysnopeuden (frames per second, päivityksiä sekunnissa) ruudun kulmassa.

-f, --fullscreen
    Käynnistää pelin kokoruututilassa.

--gunzip syötetiedosto.gz
    Purkaa tiedoston, jonka tulisi olla gzip-muodossa, ja tallentaa sen ilman .gz-päätettä. Poistaa syötetiedosto.gz:n.

--gzip syötetiedosto
    Pakkaa tiedoston gzip-muodossa, tallentaa sen nimellä syötetiedosto.gz ja poistaa syötetiedoston.

-h, --help
    Näyttää koosteen komentorivivalitsimista ja lopettaa.

-l, --load tiedosto
    Lataa tallennuksen tiedosto normaalista tallennushakemistosta. Jos valitsinta -e tai --editor käytetään myös, käynnistää editorin tiedostossa oleva kartta avattuna. Jos kyseessä on hakemisto, käynnistää editorin kartanlatausdialogi avoinna.

--log-taso=aihealue1,aihealue2,...
    Asettaa vakavuusasteen lokin aihealueille. Sana all vastaa kaikkia aihealueita. Käytettävissä olevat tasot: error, warning, info,debug. Oletuksena käytetään tasoa error.

--logdomains
    Näyttää listan kaikista lokin aihealueista ja lopettaa.

--max-fps
    Asettaa enimmäisarvon kuvanpäivitysten määrälle sekunnissa. Arvon tulee olla väliltä 1–1000. Oletus on 50.

-m, --multiplayer
    Käynnistää moninpelin. Joitain valitsimia voi yhdistellä tämän valitsimen kanssa, kuten alla selitetään.

--no-delay
    Käynnistää pelin ilman viiveitä graafisen suorituskyvyn mittausta varten. Tämä on automaattisesti päällä käytettäessä valitsinta --nogui.

--nocache
    Estää välimuistin luomisen pelidatasta.

--nomusic
    Käynnistää pelin ilman musiikkia.

--nosound
    Käynnistää pelin ilman ääniä ja musiikkia.

--path
    Näyttää pelidatahakemiston nimen ja lopettaa.

-r XxY, --resolution XxY
    Asettaa kuvatarkkuuden. Esimerkki: -r 800x600

--smallgui
    Sallii pienten resoluutioiden käytön 800x480:een asti ja pienentää muutamia käyttöliittymän elementtejä.

-s, --server [kone]
    Ottaa yhteyden valittuun koneeseen, muutoin ottaa yhteyden ensimmäiseen palvelimeen asetuksissa. Esimerkki: --server server.wesnoth.org

-t, --test
    Käynnistää pelin pienessä testiskenaariossa.

--validcache
    Olettaa, että välimuisti on validi. (Vaarallista.)

-v, --version
    Näyttää versionumeron ja lopettaa.

-w, --windowed
    Käynnistää pelin ikkunoidussa tilassa.

--with-replay
    Toistaa uusinnan pelistä, joka ladataan valitsimella --load.

Valitsimen --multiplayer kanssa käytettävät valitsimet
Osapuolikohtaisissa moninpelivalitsimissa on numero-kenttä. Se täytyy korvata puolen numerolla. Yleensä numero on 1 tai 2, mutta voi olla suurempikin riippuen valitun skenaarion mahdollisesta pelaajamäärästä.

--algorithmnumero=arvo
    Valitsee puolta kontrolloivalle tekoälylle tavallisesta poikkeavan algoritmin. Mahdollisia arvoja: idle_ai, sample_ai.

--controllernumero=arvo
    Valitsee puolen kontrolloijan. Mahdolliset arvot ovat human ja ai.

--era=arvo
    Tällä valitsimella voi valita pelattavan aikakauden oletusaikakauden sijaan. Aikakausi valitaan tunnisteen (id) perusteella. Aikakaudet on kuvattu tiedostossa data/multiplayer/eras.cfg.

--exit-at-end
    Lopettaa skenaarion päätyttyä näyttämättä voitto- tai häviöikkunaa, joka täytyisi sulkea klikkaamalla OK:ta. Tätä käytetään myös skriptatussa suorituskykytestauksessa.

--nogui
    Käynnistää pelin ilman graafista käyttöliittymää. Toimiakseen tämän täytyy olla valitsimen --multiplayer edellä.

--parmnumero=nimi:arvo
    Asettaa puolelle lisäparametreja. Nämä parametrit riippuvat valitsimien --controller ja --algorithm arvoista. Tämä valitsin on todennäköisesti hyödyllinen vain oman tekoälyn kehittäjille. (Ei vielä dokumentoitu täydellisesti.)

--scenario=arvo
    Valitsee moninpeliskenaarion tunnisteen (id) perusteella. Oletustunniste on multiplayer_The_Freelands.

--sidenumero=arvo
    Valitsee liittouman tälle puolelle käytössä olevalta aikakaudelta. Liittouma valitaan tunnisteen (id) perusteella. Liittoumat on kuvattu tiedostossa data/multiplayer.cfg.

--turns=arvo
    Asettaa vuorojen määrän valittuun skenaarioon. Oletus on 50.

TEKIJÄT
Kirjoittanut David White <davidnwhite@verizon.net>.
Muokannut Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> ja Soliton <soliton.de@gmail.com>. Suomentanut Niklas Laxström <niklas.laxstrom+wesnoth@gmail.com> ja Wesnothin suomennosryhmä (http://www.wesnoth.org/wiki/FinnishTranslation).
Tämän manuaalin alkuperäisversion kirjoitti Cyril Bouthors <cyril@bouthors.org>.
Käy virallisella kotisivulla: http://www.wesnoth.org/

TEKIJÄNOIKEUS
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

KATSO MYÖS
wesnoth_editor(6), wesnothd(6)